# CORS proxy

## NGINX configuration

```nginx configuration
server
{
	listen 80;
	listen [::]:80;
	server_name corsproxy.website; # REPLACE THIS.
	
	root /path/to/CorsProxy; # REPLACE THIS.

	add_header Access-Control-Allow-Origin *;
	
	location /
	{
		try_files $uri /proxy.php?$query_string;
	}

	location ~ \.php$
	{
		try_files $uri $document_root$fastcgi_script_name =404;
		fastcgi_pass unix:/run/php-fpm/php-fpm.sock;
		fastcgi_index index.php;
		include fastcgi.conf;
	}

	access_log off;
	error_log /var/log/nginx/corsproxy.error.log;
}
```
